Register Agent
curl --request POST \
--url https://api.example.com/assets/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_card": {
"name": "<string>",
"version": "<string>",
"description": "<string>",
"url": "<string>",
"protocolVersion": "<string>",
"supportedInterfaces": [
{
"url": "<string>",
"protocolVersion": "<string>",
"protocolBinding": "<string>",
"transportType": "<string>"
}
],
"provider": {},
"capabilities": {},
"skills": [
{}
],
"defaultInputModes": [
"<string>"
],
"defaultOutputModes": [
"<string>"
],
"securitySchemes": {},
"security": [
{}
],
"extensions": [
{}
],
"signatures": [
{}
]
},
"tags": [
"<string>"
],
"visibility": "TENANT_ONLY"
}
'import requests
url = "https://api.example.com/assets/agents"
payload = {
"agent_card": {
"name": "<string>",
"version": "<string>",
"description": "<string>",
"url": "<string>",
"protocolVersion": "<string>",
"supportedInterfaces": [
{
"url": "<string>",
"protocolVersion": "<string>",
"protocolBinding": "<string>",
"transportType": "<string>"
}
],
"provider": {},
"capabilities": {},
"skills": [{}],
"defaultInputModes": ["<string>"],
"defaultOutputModes": ["<string>"],
"securitySchemes": {},
"security": [{}],
"extensions": [{}],
"signatures": [{}]
},
"tags": ["<string>"],
"visibility": "TENANT_ONLY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_card: {
name: '<string>',
version: '<string>',
description: '<string>',
url: '<string>',
protocolVersion: '<string>',
supportedInterfaces: [
{
url: '<string>',
protocolVersion: '<string>',
protocolBinding: '<string>',
transportType: '<string>'
}
],
provider: {},
capabilities: {},
skills: [{}],
defaultInputModes: ['<string>'],
defaultOutputModes: ['<string>'],
securitySchemes: {},
security: [{}],
extensions: [{}],
signatures: [{}]
},
tags: ['<string>'],
visibility: 'TENANT_ONLY'
})
};
fetch('https://api.example.com/assets/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resource_uri": "<string>",
"name": "<string>",
"status": "<string>",
"lifecycle_stage": "<string>",
"health_status": "<string>",
"verification_status": "<string>",
"visibility": "<string>",
"current_version": 123,
"agent_card": {},
"source": "<string>",
"organization_id": "<string>",
"project_id": "<string>",
"owner_id": "<string>",
"registered_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"etag": "<string>",
"description": "<string>",
"a2a_protocol_version": "<string>",
"tags": [],
"deprecation_message": "<string>",
"deprecation_deadline": "2023-11-07T05:31:56Z",
"successor_id": "<string>"
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}agents
Register Agent
Register a new agent from an A2A agent card.
POST
/
assets
/
agents
Register Agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Request body for POST /assets/agents
A2A Agent Card JSON — supports both v0.3 and v1.0 formats.
v0.3 cards have a required top-level url and optional supportedInterfaces.
v1.0 cards have required supportedInterfaces and no top-level url.
The validator ensures at least one transport declaration is present.
Show child attributes
Show child attributes
Available options:
PUBLIC, TENANT_ONLY, PRIVATE Response
Successful Response
Full single-resource response.
Deprecated: use created_by instead. Will be removed in a future release.
Was this page helpful?
⌘I

